html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
    margin: 0;
    padding: 0;
    border: 0;
    font-size: 100%;
    font: inherit;
    vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
    display: block;
}
body {
    line-height: 1;
}
ol, ul {
    list-style: none;
}
blockquote, q {
    quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
    content: '';
    content: none;
}



/************************************************************************
        DEBUT DE LA FEUILLE DE STYLE POUR LE SITE
************************************************************************/

body {
    font-family: Trebuchet, arial, verdana, sans-serif;
    line-height: 1.2;
    background: #EEE;
    background: linear-gradient(to bottom right, #f1f1ed, #d8d1c1);
}

i, em {
    font-style: italic;
}

strong {
    font-weight: bold;
}

h1 {
    font-size: 24px;
    font-weight: bold;
}

h3 {
    font-size: 18px;
    margin-bottom: 5px;
    margin-top: 20px;
}

h4 {
    font-weight: bold;
    font-size: 14px;
}

h2 {
    font-size: 20px;
    font-weight: bold;
    text-decoration: underline;
    color: black;
    margin-top: 5%;
    margin-bottom: 3%;
}

a[href], a[href]:visited {
    color: #0000DD;
    text-decoration: none;
}

a[href]:hover {
    text-decoration: underline;
}

a[href^=http]:hover {
    padding-right: 20px;
    background: url(../images/lien_externe.gif) right center no-repeat;
}

a[href^=http]:hover::after {
    content: "\00A0(" attr(href) ")";
}

body > header, main, body > footer {
    width: 900px;
    margin: 0px auto;
    background-color: transparent;
}

p, blockquote {
    text-align: justify;
    margin: 10px auto;
}

blockquote {
    font-style: italic;
    padding: 5px 30px;
}

blockquote::before {
    content: "«\00A0";
    font-size: 18px;
}
blockquote::after {
    content: "\00A0»";
    font-size: 18px;
}

ul {
    list-style: circle;
    margin-left: 30px;
}

/** Style des figures (avec iframe) */
figure {
    display: inline-block;
    margin: 10px 16px;
}

figure > iframe {
    width: 250px;
    margin: 0 auto;
}

figcaption {
    text-align: center;
}

/**********************************************************************
                        EN-TETE
**********************************************************************/

body > header {
    position: relative;
    margin-top: 42px;
    background:  url(../images/domaine_imgtrans.png);
    height: 200px;
}

header > img {
    margin: 30px 0 0 10px;
}

header h1 {
    position: absolute;
    bottom: 10px;
    right: 10px;
    color: white;
}

.ligne_horizontal{
    width: 100%;
    border-bottom: 2px solid #c10808;
    margin-top: 2%;
    margin-bottom: 2%;
}

/************************************************************************
                        Menu de navigation
*************************************************************************/
nav {
        position: fixed;
        z-index: 1000;
        top: 0px;
        width: 100%;
        height: 50px;
    }

    nav > ul {
        width: 100%;
        height: 100%;
        margin: 0;
        cursor: pointer;
        transition: background 0.4s linear 0s;
        background: rgba(255, 255, 255, 0.8);
        text-align: right;
    }

    nav > ul:hover {
        background: rgb(255, 255, 255);
    }

    nav > ul > li {
        position: relative;
        text-align: left;
        display: inline-block;
        width: 160px;
        height: 100%;
    }

    nav > ul > li:first-child {
        float: left;
    }

    /*nav > ul > li:last-of-type > a::before {
        content: "\2630\00A0";
    }*/

    nav a[href], nav a[href]:visited, nav > label {
        display: block;
        font-weight: bold;
        color: black;
        transition: background 0.4s linear 0s;
        padding: 10px 5px 10px 20px;
        height: 30px;
        margin:0;
    }

    nav a[href]:hover , nav label: hover{
        text-decoration: none;
        color: #FFF;
        background: #333;
        cursor: pointer;
    }

    /* TP2 : ajouts  pour le sous-menu */
    nav > ul > li > ul {
        position: absolute;
        display: none;
        width: 100%;
        margin-top: 0px;
        margin-left: 0px;
        list-style: none;
        background-color: rgba(255, 255, 255, 1);

    }

    nav > ul > li > input {
        display: none;
    }

    nav > ul > li >input:checked + ul {
        display: block;
    }

    nav > ul > li:hover > ul {
        display: block;
    }

    nav label {
        display: block;
        transition: background 0.4s linear 0s;
        font-weight: bold;
        color: black;
        padding: 10px 5px 10px 20px;
    }

    nav label:hover {
        color: #FFF;
        background: #333;
        cursor: pointer;
    }
/*
nav {
    position: fixed;
    z-index: 1000;
    top: 0px;
    width: 100%;
    height: 40px;
}

nav > ul {
    width: 100%;
    height: 100%;
    margin: 0;
    cursor: pointer;
    transition: background 0.4s linear 0s;
    background: rgba(255, 255, 255, 0.8);
    text-align: right;
}

nav > ul:hover {
    background: rgb(255, 255, 255);
}

nav > ul > li {
    text-align: left;
    display: inline-block;
    width: 150px;
}

nav > ul > li:first-child {
    float: left;
}

/*nav > ul > li:last-of-type > a::before {
    content: "\f007""\f142";
}

nav a[href], nav a[href]:visited {
    display: block;
    font-weight: bold;
    color: black;
    transition: background 0.4s linear 0s;
    padding: 10px 5px 10px 20px;
}

nav a[href]:hover {
    text-decoration: none;
    color: #FFF;
    background: #333;
}

nav > ul > li > ul {
    position: absolute;
    display: none;
    width: 100%;
    margin-top: 0px;
    margin-left: 0px;
    list-style: none;
    background-color: rgba(255, 255, 255, 1);
}

nav > ul > li:hover > ul {
    display: block;
}*/

/****************************************************************
        Formulaire d'inscription
****************************************************************/

form input[type=text] {
    width: 200px;
}

form select {
    margin: 0 2px;
}

form table {
    min-width: 500px;
    margin: 15px auto;
}

form table td > .lignes_multiple {
    padding: 7px;
    width: 250px;
    display: ruby-text;
}

form table td {
    white-space: nowrap;
    padding: 7px;
}

form td:first-child:not(:only-child) {
    text-align: right;
}

.checkbox_millesime > td {
    text-align: center;
}

form td[colspan] {
    text-align: center;
}

form td[colspan] label {
    text-align: center;
    display: block;
    margin: 10px 10px 10px 60px;
}

form input[type=submit], form input[type=reset], form input[type=button] {
    margin: 0px 10px;
    width: auto;
    text-align: left;
    height: 28px;
    background-color: #f0f0f0;
    font-size: 15px;
    font-weight: bold;
    border: solid 2px #444;
    border-radius: 5px;
    padding: 2px 5px;
    min-width: 30px;
    cursor: pointer;
}

input[type=submit]:hover, input[type=reset]:hover, input[type=button]:hover {
    background: black;
    color: white;
}

.erreur {
    color: red
    font-size: 14px;
    font-weight: bold;
    width: 80%;
    margin: 10px auto;
    border: solid 2px red;
    padding: 5px;
    line-height: 1.5;
}

/* en tête */

header h1 {
    position: absolute;
    bottom: 10px;
    right: 10px;
}

/*Pied de page */
body > footer {
    font-family: Kunstler Script;
    color: black;
    text-align: center;
    margin-bottom: 10px;
    font-size: 30px;
    margin-top: 50px;
}


/* Affichage des listes */

.liste_couleur {
    list-style-type: disc;
}
.liste_app {
    list-style-type: circle;
}


/* Mise en forme des tableaux */

.tableau_vins {
    border: medium solid #000000;
    border-collapse: collapse;
    width: 50%;
    padding: 1em;
}

.lignes_vins {

    border: thin solid #000000;
    text-align: center;

}

form{
    width: 50%;
    margin: 0 auto;
}

.bouton_form{
    border: none;
}

form >table{
    border: thick double #000000;
    margin: 2%;
}


section>p{
    text-align: center;
}


section > table {
    padding: 5px;
    margin-top: 5%;
    /*margin-bottom: 5%;*/
    margin-left: auto;
    margin-right: auto;
    border: solid;
}

th[scope="first_td"] {
    text-align: center;
}

.moitie_droite {
    margin-left:60%;
}

.moitie_droite > table {
    width: 80%;
    margin: 5%;
}

.moitie_gauche{
    float:left;
    width:60%;
    border-right: : 2px solid #c10808;
}

.moitie_gauche h2{
    margin-top: 0;
}

.moitie_gauche > ul {
    width: 80%;
}

.moitie_gauche p {
    margin-top: 0px;
}

.moitie_droite p {
    margin-top: 0px;
}

section > h2, p {
    padding-left: 10%;
    text-decoration: underline;
}

div > table{
    margin: 5px;
}

.facture {
    border: solid 3px #000;
    border-collapse: collapse;
}

.facture td:nth-child(1), .facture td:nth-child(3), .facture td:nth-child(4) {
    text-align: right;
}

td {
    padding: 5px;
}

.afficher_salon {
    margin: 20px;
}

.footer_ref{
    text-align: center;
    margin-top: 0px;
    margin-bottom: 5px;
}



/* Affichage pour imprimer */

@media print {
    body > header{
        display: none;
    }
    nav{
        display: none;
    }
    .ligne_horizontal{
        display: none;
    }
    footer {
        display: none;
    }

}

.facture_finale {
    position: relative;
    height: 100%;
    width: 100%;
    text-decoration: none;
    background-color: white;
}

.facture_finale h3 {
    color: #c10808;
    font-family: Kunstler Script;
    font-size: 50px;
}

.facture_finale h5 {
    padding-left: 12%;
}

.facture_finale p {
    text-decoration: none;
}

.facture_finale .facture{
    margin-top: 5px;
    margin-bottom: 20px;
}

.facture_finale aside{
    width: 40%;
}

.facture_finale aside:first-of-type {
    position: absolute;
    left: 10px;
    text-align: left;
    height: 10%;
}

.facture_finale aside:nth-of-type(2) {
    position: absolute;
    right: 10px;
    text-align: rigth;
    height: 10%;
}


.sansBordures {
    width: 100%;
    border: none;
    margin: 0px;
    padding: 20px;
}

.sansBordures td {
    width: 50%;
}

.sansBordures td:first-of-type{
    text-align: left;
}

.sansBordures td:nth-of-type(2),.sansBordures td:nth-of-type(2) p {
    text-align: right;
    text-decoration: none;
}

.client ,.client p{
    padding-right: 3px;
    text-align: right;
    text-decoration: none;
}

.tableau td{
    border: solid black 1px;
    margin: 0;
    border-collapse: collapse;
}

.tableau {
    padding: 0;
    margin: 30px;
    border: solid black 2px;
}

.listeFacturesClient {
    text-align: left;
}

.listeFacturesClient input[type="checkbox"]{
    display: none;
}

.listeFacturesClient ul {
    list-style: none;
}

.listeFacturesClient li {
    position: relative;
    padding: 5px;
    margin: 5px;
    border-top: solid black 2px;
}

.listeFacturesClient p {
    margin: 0;
    padding: 5px;
}

.listeFacturesClient table {
    display: none;
    border-collapse: collapse;
}

.listeFacturesClient input[type="checkbox"]:checked + table{
    display: block;

}

.listeFacturesClient a {
    position: absolute;
    right: 10px;
    top : 10px;
}

.split {
    width: 95%;
    position: relative;
}
